com.mysql.jdbc

## Class DatabaseMetaData.SingleStringIterator

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.IteratorWithCleanup<java.lang.String>
  - - com.mysql.jdbc.DatabaseMetaData.SingleStringIterator

Enclosing class:
  DatabaseMetaData

    protected class DatabaseMetaData.SingleStringIterator
    extends DatabaseMetaData.IteratorWithCleanup<java.lang.String>

### Field Summary

Fields
`(package private) boolean` `onFirst`
`(package private) java.lang.String` `value`

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMetaData.SingleStringIterator(java.lang.String s)`

### Method Summary

Methods
`(package private) void` `close()`
`(package private) boolean` `hasNext()`
`(package private) java.lang.String` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### onFirst

    boolean onFirst

#### value

    java.lang.String value

### Constructor Detail

#### DatabaseMetaData.SingleStringIterator

    DatabaseMetaData.SingleStringIterator(java.lang.String s)

### Method Detail

#### close

    void close()
         throws java.sql.SQLException

Specified by:
  `close` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`

#### hasNext

    boolean hasNext()
              throws java.sql.SQLException

Specified by:
  `hasNext` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`

#### next

    java.lang.String next()
                    throws java.sql.SQLException

Specified by:
  `next` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`